Skip to main content
POST
/
v5
/
revenue
/
revenue
Save a revenue
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/revenue/revenue \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "revenue": {
    "amount": 50.01,
    "bankAccountId": 123,
    "id": 123,
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "userAccess": "NONE",
    "accountantAccess": "NONE",
    "type": "BUSINESS",
    "date": "2022-01-04T10:20:00Z",
    "state": "UNKNOWN",
    "salesTaxAmount": 1.01,
    "description": "Gas purchase",
    "businessId": 123,
    "clientId": 123,
    "clientName": "<string>",
    "apiPaymentId": "<string>",
    "bankTransferId": 123,
    "currencyType": "USD",
    "revenueAccountId": 123,
    "customData": {},
    "v6EntityId": "<string>",
    "apiOrderId": "<string>",
    "expenseId": 123,
    "taxPaymentId": 123
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

revenue object

revenue
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object